### Method

# GLib String set_size

#### Declaration [src]

    GString*
    g_string_set_size (
      GString* string,
      gsize len
    )

#### Description [src]

Sets the length of a `GString`. If the length is less than the current length, the string will be truncated. If the length is greater than the current length, the contents of the newly added area are undefined. (However, as always, string->str[string->len] will be a nul byte.).

#### Parameters

`len`

  Type: `gsize`

  The new length.

#### Return value

Type: `GString`

`string`.

The returned data is owned by the instance.